qpid::console Namespace Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Functions
qpid::console Namespace Reference

## Classes
class | Agent
class | Broker
class | ClassKey
class | ConsoleListener
| Implement a subclass of ConsoleListener and subscribe it using the SessionManager to receive indications. More...
class | Event
struct | MethodResponse
class | Object
class | ObjectId
class | Package
struct | SchemaArgument
struct | SchemaProperty
struct | SchemaStatistic
struct | SchemaMethod
struct | SchemaClass
class | SequenceManager
class | SessionManager
class | Value
class | NullValue
class | RefValue
class | UintValue
class | IntValue
class | Uint64Value
class | Int64Value
class | StringValue
class | BoolValue
class | FloatValue
class | DoubleValue
class | UuidValue
class | MapValue
class | ValueFactory
## Functions
std::ostream & | operator<< (std::ostream &o, const Agent &agent)
std::ostream & | operator<< (std::ostream &o, const Broker &k)
std::ostream & | operator<< (std::ostream &o, const ClassKey &k)
std::ostream & | operator<< (std::ostream &o, const Event &event)
std::ostream & | operator<< (std::ostream &o, const Object &object)
std::ostream & | operator<< (std::ostream &o, const ObjectId &id)

## Function Documentation

std::ostream& qpid::console::operator<< | ( | std::ostream & | o,
|  | const Agent & | agent
| ) |  |

std::ostream& qpid::console::operator<< | ( | std::ostream & | o,
|  | const ClassKey & | k
| ) |  |

std::ostream& qpid::console::operator<< | ( | std::ostream & | o,
|  | const ObjectId & | id
| ) |  |

std::ostream& qpid::console::operator<< | ( | std::ostream & | o,
|  | const Event & | event
| ) |  |

std::ostream& qpid::console::operator<< | ( | std::ostream & | o,
|  | const Object & | object
| ) |  |

std::ostream& qpid::console::operator<< | ( | std::ostream & | o,
|  | const Broker & | k
| ) |  |